Bug 28983 - Use Flatpickr on various pages
Summary: Use Flatpickr on various pages
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 28937
Blocks: 29229
  Show dependency treegraph
 
Reported: 2021-09-09 14:25 UTC by Owen Leonard
Modified: 2021-10-14 14:28 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:
21.11.00


Attachments
Bug 28983: Use Flatpickr on various pages (15.01 KB, patch)
2021-09-09 17:39 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 28983: Use Flatpickr on various pages (15.06 KB, patch)
2021-09-10 08:41 UTC, David Nind
Details | Diff | Splinter Review
Bug 28983: Use Flatpickr on various pages (15.12 KB, patch)
2021-09-30 12:57 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2021-09-09 14:25:34 UTC
This bug will cover Flatpickr additions to these pages/files:

* circ/offline.tt
* clubs/clubs-add-modify.tt
* ill/ill-requests.tt
* labels/search.tt
* pos/register.tt
* suggestion/suggestion.tt
* tags/review.tt
Comment 1 Owen Leonard 2021-09-09 17:39:36 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2021-09-09 17:41:27 UTC
I started to make this bug dependent on Bug 28987 because you can't actually test whether the label search by date works. But if you believe your eyes that the dates appear correctly in the input fields I think you can sign off.
Comment 3 David Nind 2021-09-10 08:41:49 UTC
Created attachment 124728 [details] [review]
Bug 28983: Use Flatpickr on various pages

This patch replaces the use of jQueryUI's datepicker on various
unrelated pages.

To test, apply the patch and test the following pages to confirm
that datepickers work correctly. "Linked" date fields should prevent a
"to" selection which preceeds the selected "from" date.

- Tools -> Patron clubs -> New club: Linked "start date" and "end date"
  fields.
- ILL requests: Two linked pairs of date fields in the sidebar, "Date
  placed between" and "Updated between." Each pair should work correctly
  and table filtering by date should work correctly.
- Tools -> Label creator -> Manage -> Layout batches -> Edit a batch ->
  Add items. This should trigger a popup window with a linked pair of
  date fields, "Added on or after date," and "Added on or before date."
- Point of sale -> Transaction history: "From" and "To" linked date
  field in the "Older transactions" section.
- Acquisitions -> Suggestions -> Add a suggestion: "Created by,"
  "Accepted on," and "Managed by" fields.
- Tools -> Tags -> Filter tags by date.

Signed-off-by: David Nind <david@davidnind.com>
Comment 4 Martin Renvoize 2021-09-30 12:57:36 UTC
Created attachment 125501 [details] [review]
Bug 28983: Use Flatpickr on various pages

This patch replaces the use of jQueryUI's datepicker on various
unrelated pages.

To test, apply the patch and test the following pages to confirm
that datepickers work correctly. "Linked" date fields should prevent a
"to" selection which preceeds the selected "from" date.

- Tools -> Patron clubs -> New club: Linked "start date" and "end date"
  fields.
- ILL requests: Two linked pairs of date fields in the sidebar, "Date
  placed between" and "Updated between." Each pair should work correctly
  and table filtering by date should work correctly.
- Tools -> Label creator -> Manage -> Layout batches -> Edit a batch ->
  Add items. This should trigger a popup window with a linked pair of
  date fields, "Added on or after date," and "Added on or before date."
- Point of sale -> Transaction history: "From" and "To" linked date
  field in the "Older transactions" section.
- Acquisitions -> Suggestions -> Add a suggestion: "Created by,"
  "Accepted on," and "Managed by" fields.
- Tools -> Tags -> Filter tags by date.

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 5 Martin Renvoize 2021-09-30 12:57:52 UTC
All works, PQA
Comment 6 Jonathan Druart 2021-10-06 08:38:16 UTC
Pushed to master for 21.11, thanks to everybody involved!